=== modified file 'loggerhead/templates/annotate.kid'
--- loggerhead/templates/annotate.kid	2007-09-04 17:06:03 +0000
+++ loggerhead/templates/annotate.kid	2008-03-04 22:00:04 +0000
@@ -31,7 +31,7 @@
             <td class="lineno ${line.status}"><a name="L${line.lineno}"> ${line.lineno} </a></td>
             <td class="revno ${line.status}">
                 <a py:if="line.status=='changed'" href="${branch.url('/revision', **util.get_context(clear=1, start_revid=line.change.revid, file_id=file_id))}"
-                    title="${line.change.revno} by ${util.hide_email(line.change.author)}, on ${util.format_date(line.change.date)} (${util.ago(line.change.date)})">${util.trunc(line.change.revno)}</a>
+                    title="${line.change.revno} by ${util.hide_email(line.change.author)}, ${util.displaydate(line.change.date)}">${util.trunc(line.change.revno)}</a>
             </td>
             <td class="text ${line.status}"> ${line.text} </td>
         </tr>

=== modified file 'loggerhead/templates/browse.kid'
--- loggerhead/templates/browse.kid	2008-02-27 01:55:39 +0000
+++ loggerhead/templates/browse.kid	2008-03-04 22:00:04 +0000
@@ -34,7 +34,7 @@
             <tr>
             <td class="name"> <a href="${tg.url([ '/' + project.name, view.name ])}">${view.friendly_name}</a> </td>
             <td class="description"> ${view.description} </td>
-            <td class="last-update"> ${view.get_history().has_revisions and util.ago(view.last_updated()) or "(no revisions)"} </td>
+            <td class="last-update"> ${view.get_history().has_revisions and util.lp_format_date(view.last_updated()) or "(no revisions)"} </td>
             <td class="feed">
                 <a href="${tg.url([ '/' + project.name, view.name, 'atom' ])}" title="atom feed">
                     <img src="${tg.url('/static/images/feed-icon-16x16.gif')}" alt="atom feed" />

=== modified file 'loggerhead/templates/inventory.kid'
--- loggerhead/templates/inventory.kid	2007-09-04 17:06:03 +0000
+++ loggerhead/templates/inventory.kid	2008-03-04 22:00:04 +0000
@@ -28,7 +28,7 @@
         </tr>
         <tr>
             <th class="date">date:</th>
-            <td class="date"> ${util.format_date(change.date)} </td>
+            <td class="date"> ${util.lp_format_date(change.date)} </td>
         </tr>
 
         <tr py:if="len(change.merge_points) > 0">
@@ -86,7 +86,7 @@
                 file_id=file.file_id)}" title="Annotate ${file.filename}">${file.filename}</a>
         </td>
         <td class="revision"> ${revision_link(file.revid, util.trunc(file.change.revno, 15), **util.get_context(start_revid=file.revid, file_id=file.file_id))} </td>
-        <td class="date"> ${util.format_date(file.change.date)} </td>
+        <td class="date"> ${util.lp_format_date(file.change.date)} </td>
         <td class="size"> <span py:if="file.kind=='file'"> ${util.human_size(file.size)} </span></td>
         <td class="changes-link"> 
             <a href="${branch.context_url('/changes', start_revid=file.revid, file_id=file.file_id)}"

=== modified file 'loggerhead/templates/revision.kid'
--- loggerhead/templates/revision.kid	2007-09-04 17:06:03 +0000
+++ loggerhead/templates/revision.kid	2008-03-04 22:00:04 +0000
@@ -84,7 +84,7 @@
         </tr>
         <tr>
             <th class="date">date:</th>
-            <td class="date"> ${util.format_date(change.date)} </td>
+            <td class="date"> ${util.lp_format_date(change.date)} </td>
         </tr>
 
         <tr py:if="len(change.merge_points) > 0">

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2008-02-27 02:41:36 +0000
+++ loggerhead/tests/test_simple.py	2008-03-04 22:00:04 +0000
@@ -32,7 +32,7 @@
         self.tearDown()
 
     def setUp(self):
-        #logging.basicConfig(level=logging.DEBUG)
+        logging.basicConfig(level=logging.DEBUG)
         self.bzrbranch = None
         self.old_bzrhome = None
 

